## Merge Request

### Description

<!-- Provide a brief summary of the changes introduced by this merge request also linking the GitLab issue. Explain why they are considered a breaking change, a new feature, or a bug fix. Mention any specific semantic version numbers (e.g., `major`, `minor`, or `patch`) that you think should be applied after merging. -->

### Type of Change

<!-- Choose the appropriate type for the changes -->
- [ ] feat: A new feature for the user or a significant enhancement
- [ ] fix: A bug fix
- [ ] refactor: Code changes that neither fix a bug nor add a feature
- [ ] perf: Performance improvements
- [ ] test: Adding or modifying tests
- [ ] style: Code style changes (e.g., formatting)
- [ ] docs: Documentation changes
- [ ] revert: Reverting a previous commit
- [ ] build: Changes that affect the build system or external dependencies (e.g. npm, docker, nexus)
- [ ] chore: Routine tasks, maintenance, or general refactoring
- [ ] ci: Changes to the project's Continuous Integration (CI) configuration
- [ ] release: Version number changes, typically associated with creating a new release
- [ ] other (please specify):

### Semantic Versioning

<!-- Indicate the impact of the changes on the version number -->
- [ ] This MR introduces a **breaking change**. (If yes, use the prefix `BREAKING CHANGE: <merge request title>` and ensure version bumps to `major`.)
- [ ] This MR adds a new **feature** in a backwards-compatible manner. (If yes, use the prefix `feat: <merge request title>` and ensure version bumps to `minor`.)
- [ ] This MR only includes **bug fixes or patches** in a backwards-compatible manner. (If yes, use the prefix - `fix: <merge request title>` and ensure version bumps to `patch`.)
- [ ] This MR does not necessitate a change in the version, since it contains routine maintenance, housekeeping, or improvements that don't affect the external API or user experience. (If yes, use the prefix that fits better e.g., `build/chore/ci` - `chore: <merge request title>` and ensure version doesn't bump.)

### Specification and Related Issues
<!-- Link to the specification and any related issues, documentation, MRs (e.g., Issue #123, Fix #456) -->

### Checklist
<!-- Complete and mark the following tasks as fineshed -->

- [ ] I have tested the changes thoroughly
- [ ] The code follows the project's coding standards
- [ ] This MR in linked to the specification and complies with it
- [ ] Documentation has been updated or added
- [ ] Tests were added/modified to cover the changes
- [ ] All tests pass successfully
- [ ] The branch is up-to-date with the target branch
- [ ] This MR is linked to any relevant issues
- [ ] Assign this MR to the appropriate reviewer(s)

### Additional Information
<!-- Provide any additional information or context that might be helpful for reviewers -->

